Index: t/pmc/signal.t
===================================================================
--- t/pmc/signal.t	(revision 14658)
+++ t/pmc/signal.t	(working copy)
@@ -150,3 +150,10 @@
 
 # check_running;
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/mmd.t
===================================================================
--- t/pmc/mmd.t	(revision 14658)
+++ t/pmc/mmd.t	(working copy)
@@ -1295,3 +1295,10 @@
 CODE
 BMU autobox type: String
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/boolean.t
===================================================================
--- t/pmc/boolean.t	(revision 14658)
+++ t/pmc/boolean.t	(working copy)
@@ -307,3 +307,10 @@
 ok 1
 ok 2
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/file.t
===================================================================
--- t/pmc/file.t	(revision 14658)
+++ t/pmc/file.t	(working copy)
@@ -274,3 +274,10 @@
 ok 2 - directory exists
 ok 3 - file does not exist
 OUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/timer.t
===================================================================
--- t/pmc/timer.t	(revision 14658)
+++ t/pmc/timer.t	(working copy)
@@ -273,3 +273,10 @@
 OUTPUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/globals.t
===================================================================
--- t/pmc/globals.t	(revision 14658)
+++ t/pmc/globals.t	(working copy)
@@ -93,3 +93,10 @@
 ok
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/fixedstringarray.t
===================================================================
--- t/pmc/fixedstringarray.t	(revision 14658)
+++ t/pmc/fixedstringarray.t	(working copy)
@@ -374,3 +374,10 @@
 
 1;
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/eval.t
===================================================================
--- t/pmc/eval.t	(revision 14658)
+++ t/pmc/eval.t	(working copy)
@@ -666,3 +666,10 @@
 CODE
 ok
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/sub.t
===================================================================
--- t/pmc/sub.t	(revision 14658)
+++ t/pmc/sub.t	(working copy)
@@ -1310,3 +1310,10 @@
     $P0()
 .end
 CODE
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/fixedpmcarray.t
===================================================================
--- t/pmc/fixedpmcarray.t	(revision 14658)
+++ t/pmc/fixedpmcarray.t	(working copy)
@@ -541,3 +541,10 @@
 010
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/config.t
===================================================================
--- t/pmc/config.t	(revision 14658)
+++ t/pmc/config.t	(working copy)
@@ -61,3 +61,10 @@
 ok 1
 ok 2
 OUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/complex.t
===================================================================
--- t/pmc/complex.t	(revision 14658)
+++ t/pmc/complex.t	(working copy)
@@ -1913,3 +1913,10 @@
 done
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/fixedintegerarray.t
===================================================================
--- t/pmc/fixedintegerarray.t	(revision 14658)
+++ t/pmc/fixedintegerarray.t	(working copy)
@@ -341,3 +341,10 @@
 
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/array.t
===================================================================
--- t/pmc/array.t	(revision 14658)
+++ t/pmc/array.t	(working copy)
@@ -466,3 +466,10 @@
 
 1;
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/resizablepmcarray.t
===================================================================
--- t/pmc/resizablepmcarray.t	(revision 14658)
+++ t/pmc/resizablepmcarray.t	(working copy)
@@ -1122,4 +1122,10 @@
 OUTPUT
 
 # don't forget to change the number of tests
-# vim: expandtab sw=4
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/os.t
===================================================================
--- t/pmc/os.t	(revision 14658)
+++ t/pmc/os.t	(working copy)
@@ -338,3 +338,10 @@
   ok( $nl > 1, "hard link was really created");
   unlink "xpto" if -f "xpto"
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/n_arithmetics.t
===================================================================
--- t/pmc/n_arithmetics.t	(revision 14658)
+++ t/pmc/n_arithmetics.t	(working copy)
@@ -587,3 +587,10 @@
 14
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/threads.t
===================================================================
--- t/pmc/threads.t	(revision 14658)
+++ t/pmc/threads.t	(working copy)
@@ -1137,3 +1137,10 @@
 done main
 OUT
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/namespace.t
===================================================================
--- t/pmc/namespace.t	(revision 14658)
+++ t/pmc/namespace.t	(working copy)
@@ -808,3 +808,10 @@
 CODE
 parrot
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/resizableintegerarray.t
===================================================================
--- t/pmc/resizableintegerarray.t	(revision 14658)
+++ t/pmc/resizableintegerarray.t	(working copy)
@@ -433,3 +433,10 @@
 CODE
 2 20 10
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/sarray.t
===================================================================
--- t/pmc/sarray.t	(revision 14658)
+++ t/pmc/sarray.t	(working copy)
@@ -823,3 +823,10 @@
 OUTPUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/resizablefloatarray.t
===================================================================
--- t/pmc/resizablefloatarray.t	(revision 14658)
+++ t/pmc/resizablefloatarray.t	(working copy)
@@ -496,3 +496,10 @@
 CODE
 2 20.2 10.1
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/coroutine.t
===================================================================
--- t/pmc/coroutine.t	(revision 14658)
+++ t/pmc/coroutine.t	(working copy)
@@ -372,3 +372,10 @@
 OUTPUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/prop.t
===================================================================
--- t/pmc/prop.t	(revision 14658)
+++ t/pmc/prop.t	(working copy)
@@ -169,3 +169,10 @@
 zehn
 -
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/freeze.t
===================================================================
--- t/pmc/freeze.t	(revision 14658)
+++ t/pmc/freeze.t	(working copy)
@@ -839,3 +839,10 @@
 1 2 3 6
 1 2 3 6
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/ro.t
===================================================================
--- t/pmc/ro.t	(revision 14658)
+++ t/pmc/ro.t	(working copy)
@@ -279,3 +279,10 @@
 /NOT OKAY/
 OUTPUT
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/intlist.t
===================================================================
--- t/pmc/intlist.t	(revision 14658)
+++ t/pmc/intlist.t	(working copy)
@@ -462,3 +462,10 @@
 0
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/key.t
===================================================================
--- t/pmc/key.t	(revision 14658)
+++ t/pmc/key.t	(working copy)
@@ -57,3 +57,10 @@
 123
 OUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/orderedhash.t
===================================================================
--- t/pmc/orderedhash.t	(revision 14658)
+++ t/pmc/orderedhash.t	(working copy)
@@ -809,3 +809,10 @@
 xyzzy
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/multiarray.t
===================================================================
--- t/pmc/multiarray.t	(revision 14658)
+++ t/pmc/multiarray.t	(working copy)
@@ -256,3 +256,10 @@
 3
 4
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/fixedbooleanarray.t
===================================================================
--- t/pmc/fixedbooleanarray.t	(revision 14658)
+++ t/pmc/fixedbooleanarray.t	(working copy)
@@ -328,3 +328,10 @@
 OUTPUT
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/undef.t
===================================================================
--- t/pmc/undef.t	(revision 14658)
+++ t/pmc/undef.t	(working copy)
@@ -254,3 +254,10 @@
 
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/builtin.t
===================================================================
--- t/pmc/builtin.t	(revision 14658)
+++ t/pmc/builtin.t	(working copy)
@@ -130,3 +130,10 @@
 
 }
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/string.t
===================================================================
--- t/pmc/string.t	(revision 14658)
+++ t/pmc/string.t	(working copy)
@@ -1353,3 +1353,10 @@
 CODE
 /invalid conversion to int - bad base 37/
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/io.t
===================================================================
--- t/pmc/io.t	(revision 14658)
+++ t/pmc/io.t	(working copy)
@@ -795,3 +795,10 @@
 /stat failed:/
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/sys.t
===================================================================
--- t/pmc/sys.t	(revision 14658)
+++ t/pmc/sys.t	(working copy)
@@ -57,3 +57,10 @@
 0
 OUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/resizablebooleanarray.t
===================================================================
--- t/pmc/resizablebooleanarray.t	(revision 14658)
+++ t/pmc/resizablebooleanarray.t	(working copy)
@@ -894,3 +894,10 @@
 OUTPUT
 
 } # TODO
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/object-meths.t
===================================================================
--- t/pmc/object-meths.t	(revision 14658)
+++ t/pmc/object-meths.t	(working copy)
@@ -1133,3 +1133,10 @@
 CODE
 Foo!
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/fixedfloatarray.t
===================================================================
--- t/pmc/fixedfloatarray.t	(revision 14658)
+++ t/pmc/fixedfloatarray.t	(working copy)
@@ -340,3 +340,10 @@
 
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/env.t
===================================================================
--- t/pmc/env.t	(revision 14658)
+++ t/pmc/env.t	(working copy)
@@ -237,3 +237,10 @@
 OUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/objects.t
===================================================================
--- t/pmc/objects.t	(revision 14658)
+++ t/pmc/objects.t	(working copy)
@@ -2187,3 +2187,10 @@
 Ook!
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/pair.t
===================================================================
--- t/pmc/pair.t	(revision 14658)
+++ t/pmc/pair.t	(working copy)
@@ -93,3 +93,10 @@
 key value 77
 OUT
 }
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/exception.t
===================================================================
--- t/pmc/exception.t	(revision 14658)
+++ t/pmc/exception.t	(working copy)
@@ -795,3 +795,10 @@
 at_exit
 a = 42
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/object-mro.t
===================================================================
--- t/pmc/object-mro.t	(revision 14658)
+++ t/pmc/object-mro.t	(working copy)
@@ -326,3 +326,10 @@
 CODE
 /inconsisten class hierarchy/
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/managedstruct.t
===================================================================
--- t/pmc/managedstruct.t	(revision 14658)
+++ t/pmc/managedstruct.t	(working copy)
@@ -262,3 +262,10 @@
 0
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/multisub.t
===================================================================
--- t/pmc/multisub.t	(revision 14658)
+++ t/pmc/multisub.t	(working copy)
@@ -34,3 +34,10 @@
 0
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/resizablestringarray.t
===================================================================
--- t/pmc/resizablestringarray.t	(revision 14658)
+++ t/pmc/resizablestringarray.t	(working copy)
@@ -1012,3 +1012,10 @@
 current instr\.:/
 OUTPUT
 #'
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/tqueue.t
===================================================================
--- t/pmc/tqueue.t	(revision 14658)
+++ t/pmc/tqueue.t	(working copy)
@@ -52,3 +52,10 @@
 2
 3
 OUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/nci.t
===================================================================
--- t/pmc/nci.t	(revision 14658)
+++ t/pmc/nci.t	(working copy)
@@ -2493,3 +2493,10 @@
 CODE
 42
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/delegate.t
===================================================================
--- t/pmc/delegate.t	(revision 14658)
+++ t/pmc/delegate.t	(working copy)
@@ -216,3 +216,10 @@
 777
 3
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/ref.t
===================================================================
--- t/pmc/ref.t	(revision 14658)
+++ t/pmc/ref.t	(working copy)
@@ -319,3 +319,10 @@
 OUTPUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/pmc/bigint.t
===================================================================
--- t/pmc/bigint.t	(revision 14658)
+++ t/pmc/bigint.t	(working copy)
@@ -928,3 +928,10 @@
 CODE
 ok
 OUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/stress/gc.t
===================================================================
--- t/stress/gc.t	(revision 14658)
+++ t/stress/gc.t	(working copy)
@@ -31,3 +31,10 @@
 OUTPUT
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/basic.t
===================================================================
--- t/src/basic.t	(revision 14658)
+++ t/src/basic.t	(working copy)
@@ -93,3 +93,10 @@
 OUTPUT
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/hash.t
===================================================================
--- t/src/hash.t	(revision 14658)
+++ t/src/hash.t	(working copy)
@@ -482,3 +482,10 @@
 
 ok
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/sprintf.t
===================================================================
--- t/src/sprintf.t	(revision 14658)
+++ t/src/sprintf.t	(working copy)
@@ -237,3 +237,10 @@
     return 0;
 }
 CODE
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/intlist.t
===================================================================
--- t/src/intlist.t	(revision 14658)
+++ t/src/intlist.t	(working copy)
@@ -317,3 +317,10 @@
 OUTPUT
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/string.t
===================================================================
--- t/src/string.t	(revision 14658)
+++ t/src/string.t	(working copy)
@@ -86,3 +86,10 @@
 OUTPUT
 }
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/io.t
===================================================================
--- t/src/io.t	(revision 14658)
+++ t/src/io.t	(working copy)
@@ -697,3 +697,10 @@
 OUTPUT
 
 teardown("temp.file");
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/exit.t
===================================================================
--- t/src/exit.t	(revision 14658)
+++ t/src/exit.t	(working copy)
@@ -64,3 +64,10 @@
 ex1
 OUTPUT
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/compiler.t
===================================================================
--- t/src/compiler.t	(revision 14658)
+++ t/src/compiler.t	(working copy)
@@ -548,3 +548,10 @@
 Pir compiler returned no prog
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/src/list.t
===================================================================
--- t/src/list.t	(revision 14658)
+++ t/src/list.t	(working copy)
@@ -375,3 +375,10 @@
 OUTPUT
 # TODO
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/gdbmhash.t
===================================================================
--- t/dynpmc/gdbmhash.t	(revision 14658)
+++ t/dynpmc/gdbmhash.t	(working copy)
@@ -460,3 +460,10 @@
 OUTPUT
 unlink( 'gdbm_hash_1' );
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/sparse_perlarray.t
===================================================================
--- t/dynpmc/sparse_perlarray.t	(revision 14658)
+++ t/dynpmc/sparse_perlarray.t	(working copy)
@@ -1,211 +1,218 @@
-#! perl
-# Copyright (C) 2001-2006, The Perl Foundation.
-# $Id$
-
-use strict;
-use warnings;
-use lib qw( . lib ../lib ../../lib );
-
-use Test::More;
-use Parrot::Test tests => 4;
-
-=head1 NAME
-
-t/dynpmc/sparse_perlarray.t - testing sparse arrays using the PerlArray PMC
-
-=head1 SYNOPSIS
-
-    % prove t/dynpmc/sparse_perlarray.t
-
-=head1 DESCRIPTION
-
-Tests various PMCs using the C<PerlArray> PMC for sparse array access.
-Once we have sparse array access in a core PMC, we can move these tests.
-
-=cut
-
-
-my $SPEEDUP = $ENV{RUNNING_MAKE_TEST} ? "gc_debug 0\n" : "";
-pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "IntList: direct access");
-    loadlib P20, 'perl_group'
-       new P0, .IntList
-	set S0, ""
-	set S1, "abcdefghijklmnopqrst"
-        set I10, 100000
-	set I0, 0
-lp:
-	set P0[I0], I0
-	inc I0
-	mod I9, I0, 100
-	ne I9, 0, lp1
-	# force GC => 142 DOD + 142 collects / 10^5 accesses
-    loadlib P20, 'perl_group'
-    find_type I21, 'PerlArray'
-    new P1,I21
-	set P1[I0], I0
-	concat S0, S1, S1
-	set S2, S0
-	set S0, S1
-	set S2, ""
-lp1:
-	le I0, I10, lp
-
-	set I0, 0
-lp2:
-	set I1, P0[I0]
-	ne I0, I1, err
-	inc I0
-	le I0, I10, lp2
-	print "ok\n"
-	end
-err:
-        print "err: wanted "
-	print I0
-	print " got "
-	print I1
-	print "\n"
-	end
-CODE
-ok
-OUTPUT
-
-pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "IntList: shift/unshift");
-    loadlib P20, 'perl_group'
-        new P0, .IntList
-	set I10, 100000
-	set S0, ""
-	set S1, "abcdefghijklmnopqrst"
-	set I0, 0
-lp:
-        unshift P0, I0
-	inc I0
-	mod I9, I0, 100
-	ne I9, 0, lp1
-	# force GC => 124 DOD + 124 collects / 10^5 accesses
-	# need .PerlArray here - it auto extends - intlist doesnt
-    loadlib P20, 'perl_group'
-    find_type I21, 'PerlArray'
-    new P1,I21
-	set P1[I0], I0
-	concat S0, S1, S1
-	set S2, S0
-	set S0, S1
-	set S2, ""
-lp1:
-	ne I0, I10, lp
-lp2:
-	dec I0
-	shift I1, P0
-	ne I0, I1, err
-	ne I0, 0, lp2
-	print "ok 1\n"
-	set I1, P0
-	set I0, 0
-	ne I0, 0, err
-	print "ok 2\n"
-	end
-err:
-        print "err: wanted "
-	print I0
-	print " got "
-	print I1
-	print "\n"
-	end
-CODE
-ok 1
-ok 2
-OUTPUT
-
-
-pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "ResizableBooleanArray: direct access");
-    loadlib P20, 'perl_group'
-    new P0, .ResizableBooleanArray
-    set S0, ""
-    set S1, "abcdefghijklmnopqrst"
-    set I10, 100000
-    set I0, 0
-lp:
-    mod I2, I0, 2
-    set P0[I0], I2
-    inc I0
-    mod I9, I0, 100
-    ne I9, 0, lp1
-    # force GC => 142 DOD + 142 collects / 10^5 accesses
-    loadlib P20, 'perl_group'
-    find_type I21, 'PerlArray'
-    new P1,I21
-    set P1[I0], I0
-    concat S0, S1, S1
-    set S2, S0
-    set S0, S1
-    set S2, ""
-lp1:
-    le I0, I10, lp
-
-    set I0, 0
-lp2:
-    mod I2, I0, 2
-    set I1, P0[I0]
-    ne I2, I1, err
-    inc I0
-    le I0, I10, lp2
-    print "ok\n"
-    end
-err:
-    print "err: wanted "
-    print I0
-    print " got "
-    print I1
-    print "\n"
-    end
-CODE
-ok
-OUTPUT
-
-
-pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "ResizableStringArray: direct access");
-    new P0, .ResizableStringArray
-    set S0, ""
-    set S1, "abcdefghijklmnopqrst"
-    set I10, 100000
-    set I0, 0
-lp:
-    mod I2, I0, 2
-    set S30, I2
-    set P0[I0], S30
-    inc I0
-    mod I9, I0, 100
-    ne I9, 0, lp1
-    # force GC => 142 DOD + 142 collects / 10^5 accesses
-    loadlib P20, 'perl_group'
-    find_type I21, 'PerlArray'
-    new P1,I21
-    set P1[I0], I0
-    concat S0, S1, S1
-    set S2, S0
-    set S0, S1
-    set S2, ""
-lp1:
-    le I0, I10, lp
-
-    set I0, 0
-lp2:
-    mod I2, I0, 2
-    set S29, P0[I0]
-    set I16, S29
-    ne I2, I16, err
-    inc I0
-    le I0, I10, lp2
-    print "ok\n"
-    end
-err:
-    print "err: wanted "
-    print I0
-    print " got "
-    print S29
-    print "\n"
-    end
-CODE
-ok
-OUTPUT
-
+#! perl
+# Copyright (C) 2001-2006, The Perl Foundation.
+# $Id$
+
+use strict;
+use warnings;
+use lib qw( . lib ../lib ../../lib );
+
+use Test::More;
+use Parrot::Test tests => 4;
+
+=head1 NAME
+
+t/dynpmc/sparse_perlarray.t - testing sparse arrays using the PerlArray PMC
+
+=head1 SYNOPSIS
+
+    % prove t/dynpmc/sparse_perlarray.t
+
+=head1 DESCRIPTION
+
+Tests various PMCs using the C<PerlArray> PMC for sparse array access.
+Once we have sparse array access in a core PMC, we can move these tests.
+
+=cut
+
+
+my $SPEEDUP = $ENV{RUNNING_MAKE_TEST} ? "gc_debug 0\n" : "";
+pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "IntList: direct access");
+    loadlib P20, 'perl_group'
+       new P0, .IntList
+	set S0, ""
+	set S1, "abcdefghijklmnopqrst"
+        set I10, 100000
+	set I0, 0
+lp:
+	set P0[I0], I0
+	inc I0
+	mod I9, I0, 100
+	ne I9, 0, lp1
+	# force GC => 142 DOD + 142 collects / 10^5 accesses
+    loadlib P20, 'perl_group'
+    find_type I21, 'PerlArray'
+    new P1,I21
+	set P1[I0], I0
+	concat S0, S1, S1
+	set S2, S0
+	set S0, S1
+	set S2, ""
+lp1:
+	le I0, I10, lp
+
+	set I0, 0
+lp2:
+	set I1, P0[I0]
+	ne I0, I1, err
+	inc I0
+	le I0, I10, lp2
+	print "ok\n"
+	end
+err:
+        print "err: wanted "
+	print I0
+	print " got "
+	print I1
+	print "\n"
+	end
+CODE
+ok
+OUTPUT
+
+pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "IntList: shift/unshift");
+    loadlib P20, 'perl_group'
+        new P0, .IntList
+	set I10, 100000
+	set S0, ""
+	set S1, "abcdefghijklmnopqrst"
+	set I0, 0
+lp:
+        unshift P0, I0
+	inc I0
+	mod I9, I0, 100
+	ne I9, 0, lp1
+	# force GC => 124 DOD + 124 collects / 10^5 accesses
+	# need .PerlArray here - it auto extends - intlist doesnt
+    loadlib P20, 'perl_group'
+    find_type I21, 'PerlArray'
+    new P1,I21
+	set P1[I0], I0
+	concat S0, S1, S1
+	set S2, S0
+	set S0, S1
+	set S2, ""
+lp1:
+	ne I0, I10, lp
+lp2:
+	dec I0
+	shift I1, P0
+	ne I0, I1, err
+	ne I0, 0, lp2
+	print "ok 1\n"
+	set I1, P0
+	set I0, 0
+	ne I0, 0, err
+	print "ok 2\n"
+	end
+err:
+        print "err: wanted "
+	print I0
+	print " got "
+	print I1
+	print "\n"
+	end
+CODE
+ok 1
+ok 2
+OUTPUT
+
+
+pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "ResizableBooleanArray: direct access");
+    loadlib P20, 'perl_group'
+    new P0, .ResizableBooleanArray
+    set S0, ""
+    set S1, "abcdefghijklmnopqrst"
+    set I10, 100000
+    set I0, 0
+lp:
+    mod I2, I0, 2
+    set P0[I0], I2
+    inc I0
+    mod I9, I0, 100
+    ne I9, 0, lp1
+    # force GC => 142 DOD + 142 collects / 10^5 accesses
+    loadlib P20, 'perl_group'
+    find_type I21, 'PerlArray'
+    new P1,I21
+    set P1[I0], I0
+    concat S0, S1, S1
+    set S2, S0
+    set S0, S1
+    set S2, ""
+lp1:
+    le I0, I10, lp
+
+    set I0, 0
+lp2:
+    mod I2, I0, 2
+    set I1, P0[I0]
+    ne I2, I1, err
+    inc I0
+    le I0, I10, lp2
+    print "ok\n"
+    end
+err:
+    print "err: wanted "
+    print I0
+    print " got "
+    print I1
+    print "\n"
+    end
+CODE
+ok
+OUTPUT
+
+
+pasm_output_is($SPEEDUP . <<'CODE', <<'OUTPUT', "ResizableStringArray: direct access");
+    new P0, .ResizableStringArray
+    set S0, ""
+    set S1, "abcdefghijklmnopqrst"
+    set I10, 100000
+    set I0, 0
+lp:
+    mod I2, I0, 2
+    set S30, I2
+    set P0[I0], S30
+    inc I0
+    mod I9, I0, 100
+    ne I9, 0, lp1
+    # force GC => 142 DOD + 142 collects / 10^5 accesses
+    loadlib P20, 'perl_group'
+    find_type I21, 'PerlArray'
+    new P1,I21
+    set P1[I0], I0
+    concat S0, S1, S1
+    set S2, S0
+    set S0, S1
+    set S2, ""
+lp1:
+    le I0, I10, lp
+
+    set I0, 0
+lp2:
+    mod I2, I0, 2
+    set S29, P0[I0]
+    set I16, S29
+    ne I2, I16, err
+    inc I0
+    le I0, I10, lp2
+    print "ok\n"
+    end
+err:
+    print "err: wanted "
+    print I0
+    print " got "
+    print S29
+    print "\n"
+    end
+CODE
+ok
+OUTPUT
+
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/perlarray.t
===================================================================
--- t/dynpmc/perlarray.t	(revision 14658)
+++ t/dynpmc/perlarray.t	(working copy)
@@ -1595,3 +1595,10 @@
 
 1;
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/foo.t
===================================================================
--- t/dynpmc/foo.t	(revision 14658)
+++ t/dynpmc/foo.t	(working copy)
@@ -202,3 +202,10 @@
 CODE
 42
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/perlhash.t
===================================================================
--- t/dynpmc/perlhash.t	(revision 14658)
+++ t/dynpmc/perlhash.t	(working copy)
@@ -1354,3 +1354,10 @@
 OUTPUT
 
 1;
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/quantumreg.t
===================================================================
--- t/dynpmc/quantumreg.t	(revision 14658)
+++ t/dynpmc/quantumreg.t	(working copy)
@@ -94,3 +94,10 @@
 0
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/dynlexpad.t
===================================================================
--- t/dynpmc/dynlexpad.t	(revision 14658)
+++ t/dynpmc/dynlexpad.t	(working copy)
@@ -203,3 +203,10 @@
 ok 3
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/sub.t
===================================================================
--- t/dynpmc/sub.t	(revision 14658)
+++ t/dynpmc/sub.t	(working copy)
@@ -66,3 +66,10 @@
 Sub
 SubProxy
 OUTPUT
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/dynpmc/perlstring.t
===================================================================
--- t/dynpmc/perlstring.t	(revision 14658)
+++ t/dynpmc/perlstring.t	(working copy)
@@ -2038,3 +2038,10 @@
 abcdef
 OUTPUT
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/compilers/pge/pge_globs.t
===================================================================
--- t/compilers/pge/pge_globs.t	(revision 14658)
+++ t/compilers/pge/pge_globs.t	(working copy)
@@ -142,3 +142,10 @@
 OUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
Index: t/compilers/pge/pge-hs.t
===================================================================
--- t/compilers/pge/pge-hs.t	(revision 14658)
+++ t/compilers/pge/pge-hs.t	(working copy)
@@ -45,3 +45,10 @@
 OUT
 
 
+
+# Local Variables:
+# mode: cperl
+# cperl-indent-level: 4
+# fill-column: 100
+# End:
+# vim: expandtab shiftwidth=4:
